class Tic_Tac_Toe
    def initBoard(board)
    pos = 1
    for row in 0..2 do
        for col in 0..2 do
            board[row][col] = pos
            pos = pos + 1
        end
    end
end

def displayBoard(board)
    board.each do |row|
        row.each do |space|
            print "| #{space} |"
        end
        puts
    end
end

def turnPlayed(board,player,move)
    if move < 0 || move > 8
        puts "Wrong move! Try again."
        return false
    end
    col = move % 3
    row = (move - col) / 3
    if board[row][col].to_i.between?(1,9)
        board[row][col] = player
        return true
    else
        puts "Wrong Move! Try again."
        return false
    end
end


def winningRows(board)
    gameOver = false
    for row in 0..2 do
        if board[row][0] == board[row][1] && board[row][1] == board[row][2]
            gameOver = true
        end
    end
    return gameOver
end

def winningCols(board)
    gameOver = false
    for col in 0..2 do
        if board[0][col] == board[1][col] && board[1][col] == board[2][col]
            gameOver = true
        end
    end
    return gameOver
end

def winningDiagonals(board)
    gameOver = false
    if board[0][0]==board[1][1] && board[1][1]==board[2][2]
        gameOver = true
    end
    if board[0][2]==board[1][1] && board[1][1]==board[2][0]
        gameOver = true
    end
    return gameOver
end

def fullBoard(board)
    gameOver = false
    count = 0
    board.each do |row|
        row.each do |space|
            if space == "X" || space =="O"
                count = count + 1
            end
        end
    end
    if count == 9
        gameOver = true
    end
    return gameOver
end
end